#include <miniball.hpp>
#include <cmath>

#include "miniball_wrapper.h"

void miniball_wrapper(int n, int d, const double* const* x, double* c, double* r)
{
  typedef const double* CoordIterator;
  typedef const double* const* PointIterator;
  typedef Miniball::Miniball <Miniball::CoordAccessor<PointIterator, CoordIterator> > Miniball;

  Miniball mb(d, x, x+n);

  CoordIterator center = mb.center();
  for (int i = 0; i < d; i++)
    c[i] = center[i];

  *r = sqrt(mb.squared_radius());
}
